﻿using Connected.Annotations;
using Connected.ServiceModel;

namespace Connected.Common.Numbering;
[Service]
[ServiceUrl(NumberingUrls.Numbering)]
public interface INumberingService
{
	[ServiceMethod(ServiceMethodVerbs.Get | ServiceMethodVerbs.Post)]
	Task<string> Calculate(NumberingCalculateArgs args);

	[ServiceMethod(ServiceMethodVerbs.Get | ServiceMethodVerbs.Post)]
	Task<INumbering?> Select(NumberingSelectArgs args);

	[ServiceMethod(ServiceMethodVerbs.Get | ServiceMethodVerbs.Post)]
	Task<INumbering?> Select(PrimaryKeyArgs<int> args);
}
