﻿using Connected.Data;

namespace Connected.Common;

public static class RecordStatusLocalizer
{
	public static string Localize(Status status) =>
		 status switch
		 {
			 Status.Enabled => SR.RecordStatusEnabled,
			 Status.Disabled => SR.RecordStatusDisabled,
			 _ => status.ToString()
		 };
}

public static class Constants
{
	public const string CommonSchema = "cmn";
}
