﻿using Connected.Entities.Caching;

namespace Connected.Common.Net;

internal interface IEndpointCache : IEntityCacheClient<Endpoint, int> { }
internal class EndpointCache : EntityCacheClient<Endpoint, int>, IEndpointCache
{
	public EndpointCache(IEntityCacheContext cachingService) : base(cachingService, Endpoint.CacheKey)
	{
	}
}
