﻿using Connected.Entities.Caching;

namespace Connected.Common.Security.Identity;

internal interface IUserCache : IEntityCacheClient<User, int> { }
internal sealed class UserCache : EntityCacheClient<User, int>, IUserCache
{
	public UserCache(IEntityCacheContext context) : base(context, User.CacheKey)
	{
	}
}
