﻿using Connected.Entities.Caching;

namespace Connected.Common.Security.Membership;

internal interface IMembershipCache : IEntityCacheClient<Membership, int> { }
internal class MembershipCache : EntityCacheClient<Membership, int>, IMembershipCache
{
	public MembershipCache(IEntityCacheContext context) : base(context, Membership.CacheKey)
	{
	}
}
