﻿using System.ComponentModel.DataAnnotations;
using Connected.ServiceModel;

namespace Connected.Common.Distributed;
public sealed class DistributedLockArgs : Dto
{
	[Required, MaxLength(128)]
	public string Entity { get; set; } = default!;

	[Required, MaxLength(128)]
	public string EntityId { get; set; } = default!;

	public TimeSpan? Duration { get; set; }
}

public sealed class DistributedLockPingArgs : PrimaryKeyArgs<Guid>
{
	public TimeSpan? Duration { get; set; }
}