﻿using Connected.Entities.Caching;

namespace Connected.Common.Security.Permissions;

internal interface IPermissionCache : IEntityCacheClient<Permission, int> { }
internal class PermissionCache : EntityCacheClient<Permission, int>, IPermissionCache
{
	public PermissionCache(IEntityCacheContext context) : base(context, Permission.CacheKey)
	{
	}
}
